summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDr. Stephen Henson <steve@openssl.org>2016-03-26 15:00:53 +0000
committerDr. Stephen Henson <steve@openssl.org>2016-03-26 15:00:53 +0000
commit21211ade53f92629250bbea5e37d9179a31d3be2 (patch)
tree778924ecde094781ff4c114c94586e7c3fe2ccb0
parenta6406c95984a1009f5676bbcf60cc0d6db107af4 (diff)
downloadopenssl-new-21211ade53f92629250bbea5e37d9179a31d3be2.tar.gz
Fix FIPS SSLv2 test
Reviewed-by: Viktor Dukhovni <viktor@openssl.org>
-rw-r--r--test/testfipsssl8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/testfipsssl b/test/testfipsssl
index c4836edc25..b8bbb25936 100644
--- a/test/testfipsssl
+++ b/test/testfipsssl
@@ -38,8 +38,12 @@ fi
echo test ssl3 is forbidden in FIPS mode
$ssltest -ssl3 $extra && exit 1
-echo test ssl2 is forbidden in FIPS mode
-$ssltest -ssl2 $extra && exit 1
+if ../util/shlib_wrap.sh ../apps/openssl ciphers SSLv2 >/dev/null 2>&1; then
+ echo test ssl2 is forbidden in FIPS mode
+ $ssltest -ssl2 $extra && exit 1
+else
+ echo ssl2 disabled: skipping test
+fi
echo test tls1
$ssltest -tls1 $extra || exit 1